#!/bin/bash -e
#
#  Common functions for UOSCI vcs systems (publicly-available information only!)


function f_vcs_configure() {
f_line "vcs configure"
  bzr whoami "uoscibot <uosci-testing-bot@ubuntu.com>"
  bzr launchpad-login uosci-testing-bot
  git config --global user.email "uosci-testing-bot@ubuntu.com"
  git config --global user.name "uoscibot"
  git config --global gitreview.username "uosci-testing-bot"
}


# OSCI master and slaves no longer have sudo privileges.

#function f_vcs_tools_install() {
# VCS packages to keep installed and updated on all master/slaves
#f_line "vcs tools install"
#  sudo apt-get update -y &> /dev/null || true
#  sudo apt-get install bzr -y
#  sudo apt-get install git -y
#  sudo apt-get install git-review -y
#}


#function f_misc_global_tools_install() {
# Misc packages to keep installed and updated on all master/slaves
#f_line "misc global tools install"
#  sudo apt-get update -y &> /dev/null || true
#  sudo apt-get install ipcalc -y
#  sudo apt-get install bzr-fastimport -y
#  sudo apt-get install python-virtualenv libffi-dev libssl-dev -y
#  sudo apt-get install libdbus-1-dev libdbus-glib-1-dev -y
#}


#function f_mojo_install() {
# Install or upgrade mojo
#f_line "mojo install"
#  echo "Installing or upgrading mojo..."
#  sudo add-apt-repository ppa:mojo-maintainers/ppa -y &> /dev/null || true
#  sudo apt-get update -y &> /dev/null || true
#  sudo apt-get install mojo -y || true
#  if [ -z "$(apt-cache policy mojo | grep 'Installed:')" ]; then
#    echo " ! Mojo install failed."
#    exit 1
#  fi
#  echo "Mojo version:"
#  mojo --version
#  dpkg-query --list mojo
#}


function f_osi_install() {
# Install or upgrade openstack-installer
f_line "osi install"

# XXX: With slaves on Xenial, legacy openstack-installer packages don't exist.
  echo " ! DEPRECATED: openstack-installer unavailable for Xenial"
  return 0

#  echo " + Installing or upgrading openstack-installer..."
#  sudo add-apt-repository ppa:cloud-installer/experimental -y &> /dev/null || true
#  sudo apt-get update -y &> /dev/null || true
#  sudo apt-get install openstack -y || true
#  sudo apt-get install python3-pytest -y
#  if [ -z "$(apt-cache policy openstack | grep 'Installed:')" ]; then
#    echo " ! openstack-installer install failed."
#    exit 1
#  fi
#  echo " . openstack-install version:"
#  openstack-install --version
}
