#!/bin/bash -e
# Set to lint, unit or amulet
test="unit"

# Makefile command search strings, first match wins
sstring[0]="nosetest"
sstring[1]="unit.test"
sstring[2]="tox -e py27"
sstring[3]="tox -e py35"
sstring[4]="tox -e py34"
#sstring[4]=""

# Tox environments (targets) to attempt if a matching
# Makefile target was not found. First match wins.
tox_e_try[0]="py27"
tox_e_try[1]="py35"
tox_e_try[2]="py34"
#tox_e_try[3]=""
#tox_e_try[4]=""

# Source the common functions
. ${OSCI_ROOT}/job-parts/osci_job_common.sh

f_skip_juju_lxc

f_fresh_clean_start
f_env_no_pass
f_touch_try
f_check_out_universal

# Required for layerci
f_tool_refresh_release_tools
f_tool_refresh_bot_control
f_layerci_use_built_asset_if_relevant
f_layerci_check_and_announce_asset_type

f_amulet_set_network_env_vars
#f_proxy_if_proxy
f_line "begin unit test"
f_run_make_or_tox_test
f_line "end unit test"
#f_proxy_unset

f_set_build_descr
f_post_mp_comment
f_nice_finish
f_check_fail
